#
# spec file for package perl-Image-Info
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Image-Info
Name:           perl-Image-Info
Version:        1.440.0
Release:        2.2
%define cpan_version 1.44
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Extract meta information from image files
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/S/SR/SREZIC/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
Provides:       perl(Bundle::Image::Info::Everything) = 0.02
Provides:       perl(Bundle::Image::Info::PNG) = 0.02
Provides:       perl(Bundle::Image::Info::SVG) = 0.02
Provides:       perl(Bundle::Image::Info::XBM) = 0.02
Provides:       perl(Bundle::Image::Info::XPM) = 0.02
Provides:       perl(Image::Info) = 1.440.0
Provides:       perl(Image::Info::AVIF) = 0.10.0
Provides:       perl(Image::Info::BMP) = 1.04
Provides:       perl(Image::Info::GIF) = 1.02
Provides:       perl(Image::Info::ICO) = 0.02
Provides:       perl(Image::Info::JPEG) = 0.06
Provides:       perl(Image::Info::PNG) = 1.03
Provides:       perl(Image::Info::PPM) = 0.04
Provides:       perl(Image::Info::Result)
Provides:       perl(Image::Info::SVG) = 2.04
Provides:       perl(Image::Info::SVG::XMLLibXMLReader) = 1.05
Provides:       perl(Image::Info::SVG::XMLSimple) = 1.05
Provides:       perl(Image::Info::TIFF) = 0.05
Provides:       perl(Image::Info::WBMP) = 0.01
Provides:       perl(Image::Info::WEBP) = 0.01
Provides:       perl(Image::Info::XBM) = 1.08
Provides:       perl(Image::Info::XPM) = 1.09
Provides:       perl(Image::TIFF) = 1.11
Provides:       perl(Image::TIFF::Rational)
%undefine       __perllib_provides
Recommends:     perl(Bundle::Image::Info::PNG)
Recommends:     perl(Bundle::Image::Info::SVG)
Recommends:     perl(Bundle::Image::Info::XBM)
Recommends:     perl(Bundle::Image::Info::XPM)
%{perl_requires}

%description
This module provides functions to extract various kinds of meta information
from image files.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version}

find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -path "*/scripts/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc CHANGES CREDITS exifdump imgdump README TODO

%changelog
* Fri Mar  8 2024 Tina Müller <tina.mueller@suse.com>
- Fix disabling of __perllib_provides
* Fri Aug  4 2023 Tina Müller <timueller+perl@suse.de>
- updated to 1.44
  see /usr/share/doc/packages/perl-Image-Info/CHANGES
  2023-08-03  Slaven Rezic  <slaven@rezic.de>
    Release 1.44
    Stable release with the change in 1.43_50
  2023-07-25  Slaven Rezic  <slaven@rezic.de>
    Release 1.43_50
    Support for AVIF files (PR #12, thanks to Zefram and Michael Kroell)
* Tue Oct  4 2022 Tina Müller <timueller+perl@suse.de>
- updated to 1.43
  see /usr/share/doc/packages/perl-Image-Info/CHANGES
  2022-10-03  Slaven Rezic  <slaven@rezic.de>
    Release 1.43
    Stable release with all changes in 1.42_50
  2022-07-17  Slaven Rezic  <slaven@rezic.de>
    Release 1.42_50
    Fix XML::Simple-related test failures (RT #143685)
    Cease warnings with inconsistent maker info (RT #133006)
    Don't fail on invalid rational value in EXIF (RT #135126)
    Don't bail out on erroneous APP1 EXIF segments (RT #131616)
* Mon Oct 21 2019 <timueller+perl@suse.de>
- updated to 1.42
  see /usr/share/doc/packages/perl-Image-Info/CHANGES
  2019-10-19  Slaven Rezic  <slaven@rezic.de>
    Release 1.42
    Stable release with all changes in 1.41_50
  2019-10-16  Slaven Rezic  <slaven@rezic.de>
    Release 1.41_50
    Support for WEBP files (RT #130529) (by Nicolas Clark)
    Cease a warning (by H.Merijn Brand)
    Various minor test and CI polishing
* Thu Jul 13 2017 coolo@suse.com
- updated to 1.41
  see /usr/share/doc/packages/perl-Image-Info/CHANGES
  2017-07-12  Slaven Rezic  <slaven@rezic.de>
    Release 1.41
    Stable release with the change in 1.40_50
    Additionally more diagnostics in t/string.t
  2017-06-30  Slaven Rezic  <slaven@rezic.de>
    Release 1.40_50
    Support iTXt chunks in PNGs (RT #122285) (by Nicholas Clark)
* Wed Mar 22 2017 coolo@suse.com
- updated to 1.40
  see /usr/share/doc/packages/perl-Image-Info/CHANGES
  2017-03-21  Slaven Rezic  <slaven@rezic.de>
    Release 1.40
    Stable release with the change in 1.39_50
  2017-03-19  Slaven Rezic  <slaven@rezic.de>
    Release 1.39_50
    Rational values work again (RT #117480)
    Fix warnings while processing PNGs (RT #118495) (by Johan Vromans)
    Pod spelling fixes (by Salvatore Bonaccorso and Slaven Rezic)
* Sat Oct  8 2016 coolo@suse.com
- updated to 1.39
  see /usr/share/doc/packages/perl-Image-Info/CHANGES
  2016-10-08  Slaven Rezic  <slaven@rezic.de>
    Release 1.39
    Stable release with all changes in 1.38_50..1.38_51
  2016-10-01  Slaven Rezic  <slaven@rezic.de>
    Release 1.38_51
    Just recreated distribution with a changed SIGNATURE.
    Release 1.38_50
    Don't allow XXE (XML External Entities) processing while parsing
    SVG files. Addresses RT #118205. This is a potentially
    incompatible change; however usually SVG files do not rely on XXE.
* Mon Apr 20 2015 coolo@suse.com
- updated to 1.38
  see /usr/share/doc/packages/perl-Image-Info/CHANGES
  2015-04-19  Slaven Rezic  <slaven@rezic.de>
    Release 1.38
    Pod typo fixes (by hatorikibble)
    New xt tests (synopsis, strict, kwalitee, by hatorikibble)
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.37
  see /usr/share/doc/packages/perl-Image-Info/CHANGES
  2014-12-31  Slaven Rezic  <slaven@rezic.de>
    Release 1.37
    Stable release with all changes in 1.36_51..1.36_52
  2014-12-29  Slaven Rezic  <slaven@rezic.de>
    Release 1.36_52
    Handle invalid TIFF chunks: stop processing if an unrecognized
    fieldtype is encountered. This is an additional fix for RT #100847.
  2014-12-19  Slaven Rezic  <slaven@rezic.de>
    Release 1.36_51
    Use IO::Scalar instead of opening a scalar, for all
    perls < 5.21.7. This is to prevent possible segmentation faults
    with faulty images. See RT #100847 and
    https://rt.perl.org/Ticket/Display.html?id=123443
    Fix a "Variable declared in conditional statement" error.
    Fix a couple of typos.
  2012-07-05  Slaven Rezic  <slaven@rezic.de>
    Release 1.36
    Stable release with all changes in 1.35_50..1.35_51
  2013-06-28  Slaven Rezic  <slaven@rezic.de>
    Release 1.35_51
    Ignore reading jpeg thumbnail image with no content, patch
    provided by Kosei Moriyama,
    https://github.com/eserte/image-info/pull/2)
  2013-05-06  Slaven Rezic  <slaven@rezic.de>
    Release 1.35_50
    Fixed pod_cov.t test.
  2013-04-10  Slaven Rezic  <slaven@rezic.de>
    Release 1.35
    Stable release with the change in 1.34_50
  2013-04-03  Slaven Rezic  <slaven@rezic.de>
    Release 1.34_50
    image_info on Jpeg with bad EXIF data produced "substr outside of
    string" exception in Image::TIFF (RT #84122, patch provided by
    Steve Purkis)
  2013-02-29  Slaven Rezic  <slaven@rezic.de>
    Release 1.34
    Stable release with all changes in 1.33_50..1.33_51
  2013-01-28  Slaven Rezic  <slaven@rezic.de>
    Release 1.33_51
    Handle corrupt JPEG files with extraneous bytes
  2013-01-25  Slaven Rezic  <slaven@rezic.de>
    Release 1.33_50
    Limited support for WBMP files.
  2012-11-03  Slaven Rezic  <slaven@rezic.de>
    Release 1.33
    Added test image for RT #78471.
  2012-10-25  Slaven Rezic  <slaven@rezic.de>
    Release 1.32_52
    Handle BMP files with negative heights (RT #78471).
  2012-10-24  Slaven Rezic  <slaven@rezic.de>
    Release 1.32_51
    Signature fix.
  2012-10-23  Slaven Rezic  <slaven@rezic.de>
    Release 1.32_50
    Repacked because of Module::Install 1.04 problems (see mail from
    Miyagawa). Now Image::Info is again using good old EUMM.
  2012-02-21  Slaven Rezic  <slaven@rezic.de>
    Release 1.32
    Stable release with all changes in 1.31_50..1.31_51
  2011-12-28  Slaven Rezic  <slaven@rezic.de>
    Release 1.31_51
    Release 1.31_50
    SVG files without XML preamble are now also recognized.
    Bundled Module::Install 1.04.
* Sat Apr  9 2011 coolo@novell.com
- initial package 1.31
  * created by cpanspec 1.78.04
